<?php
$Basedir = dirname(__FILE__);

$page = rex_request('page', 'string');

$subpage = rex_request('subpage', 'string');
$func = rex_request('func', 'string');

//Include von Redaxo-Top
include_once $REX['INCLUDE_PATH'] . '/layout/top.php';

//subpages Array wird gefüllt mit allen menu_punkten, auf die der User zugriff hat
$subpages = $REX['ADDON']['pages']['wildcards'];
//erzeugt die Lieste mit Hilfe des $supages Arrays
rex_title("Wildcards", $subpages);

//switch-Case bei Auswahl der verschiedenen Menu-Punkte
switch($subpage) {
    case 'table':
        require $Basedir .'/table.inc.php';
        break;
    case 'add':
        require $Basedir .'/add.inc.php';
        break;
    case 'users':
        require $Basedir .'/users.inc.php';
        break;
    case 'settings':
        require $Basedir .'/settings.inc.php';
        break;
    case 'info':
        require $Basedir .'/info.inc.php';
        break;
    default:
        require $Basedir .'/table.inc.php';
}

//Include von Redaxo-Bottom
include_once $REX['INCLUDE_PATH'] . '/layout/bottom.php';
?>
