<?php
$Basedir = dirname(__FILE__);
//globals
global $REX, $I18N;

//start Session
if(!isset($_SESSION)) 
{
    session_start();
}

//Hier bekommt man die aktuelle Benutzerrechte von Wildcards
$wildcards_rights = "";
if ($REX["LOGIN"]) {
    $current_userID = $_SESSION[$REX['INSTNAME']]['UID'];
    // get current User
    $sql = new rex_sql();
    $sql->setQuery('SELECT * FROM rex_user WHERE user_id = '.$current_userID);
    //beommt den Wert
    $wildcards_rights = $sql->getValue('wildcards_rights');
}

//kennzeichne admin
$admin = 0;
if (isset($REX['USER']) && !$REX['USER']->hasPerm('wildcards[translator_only]')) {
    $admin = 1;
}

// Startet Output für Anzeige Leiste und Tabellenkopf
$output = '';
// Sucheleiste
$output .= '<input id="search" type="search" results="5" placeholder="'.$I18N->msg('wildcards_search_placeholder').'" style="position:absolute;right:5px;top:-50px;width:200px">';
$output .=  '<div id="rex-clang" class="rex-toolbar">';
$output .=      '<div class="rex-toolbar-content">';
$output .=          '<ul>';
$output .=              '<li>'.$I18N->msg('wildcards_nav_bar_language').' : </li>';
$isClangCheckboxOfClangChecked = array();
$first_child_of_toolbar = true;
for ($i=0; $i < 20; $i++) { 
    if(isset($REX['CLANG'][$i]))
    {
        //falls cookie existiert:
        if(isset($_SESSION['wildcards_checkedClang']))
        {
            $integerTostring = (string) $i;
            if(strpos($_SESSION['wildcards_checkedClang'],$integerTostring))
            {
                // Erstes Element soll keinen Bindestrich bekommen
                if($first_child_of_toolbar)
                {
                    $output .=  '<li class="rex-navi-first rex-navi-clang-'.$i.'"><a href="#" style=padding:0px;><label style="cursor:pointer; padding: 0 5px;"><input style="padding-top:5px;" class="HidVisCol" type="checkbox" name="'.$REX['CLANG'][$i].'" value="'.$i.'" checked /> '.$REX['CLANG'][$i].'</label></a></li>';
                    $first_child_of_toolbar = false;
                }
                else
                {
                    $output .=  '<li class="rex-navi-clang-'.$i.'"><a href="#" style=padding:0px;><label style="cursor:pointer; padding: 0 5px;"><input style="padding-top:5px;" class="HidVisCol" type="checkbox" name="'.$REX['CLANG'][$i].'" value="'.$i.'" checked /> '.$REX['CLANG'][$i].'</label></a></li>';
                } 
                $isClangCheckboxOfClangChecked[$i] = true;       
            }
            else
            {
                if($first_child_of_toolbar)
                {
                    $output .=  '<li class="rex-navi-first rex-navi-clang-'.$i.'"><a href="#" style=padding:0px;><label style="cursor:pointer; padding: 0 5px;"><input style="padding-top:5px;" class="HidVisCol" type="checkbox" name="'.$REX['CLANG'][$i].'" value="'.$i.'" /> '.$REX['CLANG'][$i].'</label></a></li>';
                    $first_child_of_toolbar = false;
                }
                else
                {
                    $output .=  '<li class="rex-navi-clang-'.$i.'"><a href="#" style=padding:0px;><label style="cursor:pointer; padding: 0 5px;"><input style="padding-top:5px;" class="HidVisCol" type="checkbox" name="'.$REX['CLANG'][$i].'" value="'.$i.'" /> '.$REX['CLANG'][$i].'</label></a></li>';
                }
                $isClangCheckboxOfClangChecked[$i] = false;    
            }
        }
        else //kein Cookie
        {
            //hier fragt er nach der Berechtigung ab und checkt dementsprechend die Boxen vor
            $integerTostring = (string) $i;
            if(strpos($wildcards_rights,$integerTostring))
            {
                // Erstes Element soll keinen Bindestrich bekommen
                if($first_child_of_toolbar)
                {
                    $output .=  '<li class="rex-navi-first rex-navi-clang-'.$i.'"><a href="#" style=padding:0px;><label style="cursor:pointer; padding: 0 5px;"><input style="padding-top:5px;" class="HidVisCol" type="checkbox" name="'.$REX['CLANG'][$i].'" value="'.$i.'" checked /> '.$REX['CLANG'][$i].'</label></a></li>';
                    $first_child_of_toolbar = false;
                }
                else
                {
                    $output .=  '<li class="rex-navi-clang-'.$i.'"><a href="#" style=padding:0px;><label style="cursor:pointer; padding: 0 5px;"><input style="padding-top:5px;" class="HidVisCol" type="checkbox" name="'.$REX['CLANG'][$i].'" value="'.$i.'" checked /> '.$REX['CLANG'][$i].'</label></a></li>';
                } 
                $isClangCheckboxOfClangChecked[$i] = true;       
            }
            else
            {
                if($first_child_of_toolbar)
                {
                    $output .=  '<li class="rex-navi-first rex-navi-clang-'.$i.'"><a href="#" style=padding:0px;><label style="cursor:pointer; padding: 0 5px;"><input style="padding-top:5px;" class="HidVisCol" type="checkbox" name="'.$REX['CLANG'][$i].'" value="'.$i.'" /> '.$REX['CLANG'][$i].'</label></a></li>';
                    $first_child_of_toolbar = false;
                }
                else
                {
                    $output .=  '<li class="rex-navi-clang-'.$i.'"><a href="#" style=padding:0px;><label style="cursor:pointer; padding: 0 5px;"><input style="padding-top:5px;" class="HidVisCol" type="checkbox" name="'.$REX['CLANG'][$i].'" value="'.$i.'" /> '.$REX['CLANG'][$i].'</label></a></li>';
                }
                $isClangCheckboxOfClangChecked[$i] = false;    
            }
        }       
    }
}
$output .=          '</ul>';
$output .=      '</div>';
$output .=  '</div>';

//Tabelle
$output .= '<table id="WildcardsTable" class="rex-table" cellspacing="0" style="word-wrap: break-word;margin: 0 auto; clear:both; width:100%; table-layout:fixed;">';
$output .=  '<thead>';
$output .=      '<tr>';
$output .=          '<th width=25px>';
if($admin)
{
    $output .=          '<a class="NoEditableLinkConf rex-i-element rex-i-article-add" href="index.php?page=wildcards&subpage=add" title="Wildcard hinzufügen"></a>';
}
else
{
    $output .=          'ID';
}
$output .=          '</th>';
$output .=          '<th>Wildcards</th>';
//For-Schleife füllt die Tabelle mit allen Sprachen
for ($i=0; $i < 20 ; $i++) {
    if(isset($REX['CLANG'][$i])){
        if($isClangCheckboxOfClangChecked[$i] == false)
        {
            $output .= '<th class="HidVisColElements_'.$i.'" id="column_lang_'.$i.'" style="display:none;">' . $REX['CLANG'][$i] . '</th>';    
        } 
        else{
            $output .= '<th class="HidVisColElements_'.$i.'" id="column_lang_'.$i.'">' . $REX['CLANG'][$i] . '</th>'; 
        } 
    }                 
}
$output .=      '</tr>';
$output .=  '</thead>';



// Output parameter
$TableContenteArray = array();
//Starte SQL
$sql = new rex_sql();
// SQL Query
$sql->setQuery('Select * FROM rex_wildcards ORDER BY id ASC');
// Durchläuft jede Spalte der Reihe
// Füllt das array mit der ID und geht alle clangs durch
for($i = 0; $i < $sql->getRows(); $i++){

    $id = $sql->getValue("id");
    $wildcard = $sql->getValue("wildcard");
    for ($j=0; $j < 20; $j++) { 
        if(isset($REX['CLANG'][$j]))
        {
            $TableContenteArray[$i]["clang_".$j] = $sql->getValue("clang_".$j);
        }
    }

    // füllt den inhalt der Tabelle
    $output .= '<tr class="wildcard_content_tr" id="HidVisRowElement_'.$id.'" data-pk="'.$id.'">';
    $output .= '<td><label id="label_id">'.$id.'</label><img style="display:none;cursor:pointer;width:12px;" id="delete_icon" data-pk="'.$id.'" src="../'.$REX['MEDIA_ADDON_DIR'].'/wildcards/img/delete.png" alt="'.$I18N->msg("wildcards_add_dialog_delete").'" title="'.$I18N->msg("wildcards_add_dialog_delete").'"/></td>';
    // falls Admin : Wildcards sind editierbar
    if($admin)
    {
        $output .= '<td><a href="#" data-name="wildcard" data-pk="'.$id.'">'.$wildcard.'</a></td>';// editable
    }
    else
    {
        $output .= '<td><label data-name="wildcard" data-pk="'.$id.'">'.$wildcard.'</label></td>';// disable editable
    }

    for ($j=0; $j < 20; $j++) { 
        if(isset($REX['CLANG'][$j])) {
            $clang = "clang_".$j;
            $stringClang = (string) $j;

            if(strpos($wildcards_rights, $stringClang))
            {

                if($isClangCheckboxOfClangChecked[$j] == false)
                {
                    if($TableContenteArray[$i][$clang] == "")
                    {   
                        $TableContenteArray[$i][$clang] = "Empty";
                        $output .= '<td class="HidVisColElements_'.$j.'" style="display:none;"><a href="#" data-name="clang_'.$j.'" data-pk="'.$id.'" class="custom-Empty-Fake" >'.strip_tags($TableContenteArray[$i][$clang]).'</a></td>';// editable unchecked empty
                    }
                    else
                    {
                        $output .= '<td class="HidVisColElements_'.$j.'" style="display:none;"><a href="#" data-name="clang_'.$j.'" data-pk="'.$id.'" >'.strip_tags($TableContenteArray[$i][$clang]).'</a></td>';// editable unchecked notempty
                    }
                }
                else
                {
                    if($TableContenteArray[$i][$clang] == "")
                    {   
                        $TableContenteArray[$i][$clang] = "Empty";
                        $output .= '<td class="HidVisColElements_'.$j.'"><a href="#" data-name="clang_'.$j.'" data-pk="'.$id.'" class="custom-Empty-Fake" >'.strip_tags($TableContenteArray[$i][$clang]).'</a></td>';// editable checked empty
                    }
                    else
                    {
                        $output .= '<td class="HidVisColElements_'.$j.'"><a href="#" data-name="clang_'.$j.'" data-pk="'.$id.'" >'.strip_tags($TableContenteArray[$i][$clang]).'</a></td>';// editable checked notempty
                    }
                }
            }
            else
            {
                if($isClangCheckboxOfClangChecked[$j] == false)
                {
                    $output .= '<td class="HidVisColElements_'.$j.'" style="display:none;"><label data-name="clang_'.$j.'" data-pk="'.$id.'" class="DisabledWildcard" >'.strip_tags($TableContenteArray[$i][$clang]).'</label></td>';// disable editable
                }
                else{
                    $output .= '<td class="HidVisColElements_'.$j.'"><label data-name="clang_'.$j.'" data-pk="'.$id.'" class="DisabledWildcard">'.strip_tags($TableContenteArray[$i][$clang]).'</label></td>';// disable editable
                }
            }

        }
    }

$output .= '</tr>';

    // nächste Reihe
    $sql->next();
}
$output .='</table>';

//noResult
$output .='<h2 class="noResult" style="display:none; text-align:center; padding:20px; font-size:13px;">'.$I18N->msg('wildcards_global_noResult').'</h2>';


//AUSGABE:
echo $output;



//Script Output:
$script_Output = '';
$script_Output .= '<script type="text/javascript">';
//Variable ob Admin
$script_Output .= 'var admin = '.$admin.';';
//label Variable
$script_Output .= 'var wildcards_add_dialog_delete_confirm = "'.$I18N->msg('wildcards_add_dialog_delete_confirm').'";';
$script_Output .= 'var wildcards_dialog_failed_ajax_dublicate = "'.$I18N->msg('wildcards_dialog_failed_ajax_dublicate').'";';
$script_Output .= 'var wildcards_dialog_failed_ajax_empty = "'.$I18N->msg('wildcards_dialog_failed_ajax_empty').'";';
$script_Output .= 'var wildcards_dialog_failed_ajax = "'.$I18N->msg('wildcards_dialog_failed_ajax').'";';
$script_Output .= '</script>';
$script_Output .= '<script type="text/javascript" src="../'.$REX['MEDIA_ADDON_DIR'].'/wildcards/js/page-script/table-script.js"></script>'. PHP_EOL;

echo $script_Output;

?>